locked
Problems with mage.exe RRS feed

  • Question

  • I'm using Sybase PowerBuilder to develop a .NET windows form application

    when I try to publish it I receive the message below:

     ---------- Error messages:
    Cannot find mage.exe. Please check that the .Net Framework 2.0 or later SDK is installed. 
     ---------- Finished

    I've looked for this file and it did not exist in my computer, so I downloaded it from the internet and copied it do varios places  and the message continues...

    How can I deal with it?

    Thursday, April 4, 2013 4:37 PM

Answers

  • What version of the .NET Framework does your application target?

    It sounds like the publishing step uses ClickOnce deployment. Does the machine have the .NET Framework installed on it? Do you have Visual Studio installed?

    The easiest solution is to install Visual Studio Express (free) or the Windows SDK (also free) to get this tool. The trick is what version to install for your version of .NET. If you're targeting .NET 3.5, you'll want to install the Windows 7 SDK or VS2010. If you're targeting .NET 4 or 4.5, I'd install the Windows 8 SDK or VS2012.

    RobinDotNet


    Click here to visit my ClickOnce blog!
    Microsoft MVP, Client App Dev

    • Proposed as answer by Bob Wu-MT Tuesday, April 9, 2013 8:37 AM
    • Marked as answer by Mike Feng Sunday, May 5, 2013 6:01 AM
    Friday, April 5, 2013 5:43 PM